# frozen_string_literal: true

unless defined?(JSON)
  require 'json'
end

unless defined?(DateTime)
  require 'date'
end

unless defined?(Socket)
  require 'socket'
end

require 'logger_json/text'
require 'logger_json/writter'
require 'logger_json/model'

def load_logger_json
  unless defined?(Logger)
    require 'logger'
  end
  require 'core/logger_json_core'
  require 'logger_json/logger'
  #Logger.new(STDOUT).info(LoggerJson::Text::LOGGER_JSON)
end

def load_syslog_json
  require 'core/logger_json_core'
  require 'syslog_json/logger'
  #Syslog::Logger.new('logger_json').info(LoggerJson::Text::SYSLOG_JSON)
end

defined?(Syslog::Logger).nil? ? load_logger_json : load_syslog_json
